#!/bin/sh 
LOG=/tmp/upgrade.log
DIR=/tmp/upgrade

exec 1>$LOG 2>&1

UPLOADED_FILE=$1

error() {
	grep -q "^Status:" $LOG || echo "Status: ERROR $1"
	rm -rf $DIR
	exit
}

mkdir $DIR			|| error "Upgrade already in progress"
cd $DIR				|| error "Failed to change dir"

echo "Report: Unpacking the files"
source /tmp/eeprom
zeusunpack $PRODUCT 0 1 <$UPLOADED_FILE | tar zxp	|| error "Decompression error"

