var startTime = 15000;
var timeRemaining = 0;
var javaMajor = 0;
var javaMinor = 0;

function writeDiv()
{
	document.getElementById('test-div').innerHTML = '<applet \n' +
		'code="TestApplet"  \n' +
		'width="0"  \n' +
		'height="0"  \n' +
		'archive="/applet/lib/test-applet.jar">  \n' +
		'</applet>';
}

var versionValid = false;
var versionInfo = null;

function runCheck()
{
	if (!navigator.javaEnabled())
	{
		versionValid = false;
		versionInfo = "Java Disabled";
		return false;
	}
	else if (document.applets && document.applets[0] && document.applets[0].isActive)
	{
		versionInfo = document.applets[0].getPluginVersion();
		if (parseInt(versionInfo) > javaMajor || parseInt(versionInfo.substring(2)) >= javaMinor)
		{
			versionValid = true;
		}
	}
	else
	{
		versionValid = false;
	}
}

function testBrowser()
{
	startTimedCheck(false);
	writeDiv();
	runCheck();
	if (versionInfo != null && versionValid)
	{
		return true;
	}
	else
	{
		startTimedCheck(true);
		return false;
	}
}

function startTimedCheck(startTimer)
{
	document.getElementById('progressMessage').innerHTML = '&nbsp;<br/>&nbsp;';
	if (!navigator.javaEnabled())
	{
		timeRemaining = 0;
		document.getElementById('modalDialogDivBlocker').style.display = 'block';
		document.getElementById('modalDialogDiv').style.display = 'block';
		updateTime(0);
	}
	else
	{
		timeRemaining = startTime;
		document.getElementById('progressImage').src = '/pics/progressbar.gif';
		if (startTimer)
		{
			setTimeout('updateTime(500)',500);
		}
		document.getElementById('modalDialogDivBlocker').style.display = 'block';
		document.getElementById('modalDialogDiv').style.display = 'block';
	}
}

function cancelDialog()
{
	timeRemaining = 0;
	document.getElementById('modalDialogDivBlocker').style.display = 'none';
	document.getElementById('modalDialogDiv').style.display = 'none';
}

function updateTime(timeGone)
{
	if (versionInfo != null)
	{
		if (versionValid)
		{
			timeRemaining = 0;
			document.location.href = document.getElementById('appletLink').href;
		}
		else
		{
			timeRemaining = 0;
		}
	}
	else
	{
		timeRemaining = timeRemaining - timeGone;
	}

	if (timeRemaining > 0)
	{
		document.getElementById('progressMessage').innerHTML =
			parseInt((timeRemaining) / 1000) + ' seconds remaining...<br/>&nbsp;';
		setTimeout('updateTime(500)',500);
	}
	else
	{
		document.getElementById('progressImage').src = '/pics/progressbar-done.gif';
		if (!navigator.javaEnabled())
		{
			document.getElementById('progressMessage').innerHTML = 'Java is disabled<br/>Please enable Java and try again';
		}
		else if (versionInfo != null)
		{
			document.getElementById('progressMessage').innerHTML = 'Invalid Java Version (found ' + versionInfo + ')<br/>Please go to <a href="http://www.java.com">http://www.java.com</a> to update Java';
		}
		else
		{
			document.getElementById('progressMessage').innerHTML = 'Unable to locate Java Runtime Environment<br/>Please go to <a href="http://www.java.com">http://www.java.com</a> to get Java';
		}
	}
}


function writeDialogDiv(humanJavaVersion, pJavaMajor, pJavaMinor)
{
	javaMajor = pJavaMajor;
	javaMinor = pJavaMinor;
	document.writeln('<span id="test-div"></span>');
	document.writeln('<div style="display: none;" id="modalDialogDivBlocker" class="modalDialogBlocker"></div>');
	document.writeln('<div style="display: none;" id="modalDialogDiv" class="modalDialog">');
	document.writeln('<h1 class="modalDialogHeader">Checking for Java&#0153; 6</h1>');
	document.writeln('<p>Your browser must support ' + humanJavaVersion + ' or higher for DashBoard Lite to run.  If Java can be detected, this page will forward to DashBoard Lite.</p>');
	document.writeln('<p><strong>NOTE: </strong>You cannot run DashBoard Lite within DashBoard.</p>');
	document.writeln('<img id="progressImage" src="/pics/progressbar.gif" alt="Checking..."/>');
	document.writeln('<p id="progressMessage" style="padding-bottom: 0px; padding-top: 0px;">&nbsp;<br/>&nbsp;</p>');
	document.writeln('<p align="right" style="padding-top: 0px; padding-bottom: 0px;">');
	document.writeln('<a href="javascript: cancelDialog();">Close</a>');
	document.writeln('</p>');
	document.writeln('</div>');
}
